Support » Plugin: AskApache Password Protect » Fatal error following up date to 4.7

  • Resolved EdFoC

    (@edfoc)


    Just updated the plugin to the latest version (4.7) and got the following up error message.

    Fatal error: Class ‘ISCLOG’ not found in /var/sites/e/edfoc.org.uk/public_html/wp-content/plugins/askapache-password-protect/askapache-password-protect.php on line 124

Viewing 8 replies - 1 through 8 (of 8 total)
  • Hi, I am having the exact same issue. Access to backend is now impossible and some frontend functionalities are down… !

    downloadkaraokemusics

    (@downloadkaraokemusics)

    Same Issue Here I Am Getting Problems Please Help

    If you can ftp the server which hosts your website, go to ../wp-content/plugins/ and rename the askapache-password-protect directory something like askapache-password-protect-old, this will disable the plugin. That should get all of the other functions of your site working again.

    How to fix the issue of the broken plugin, I have no idea, hopefully @askapache will come up with a patch soon.

    Plugin Author askapache

    (@askapache)

    Patch sent. Deepest apologies.

    Great! Applied the patch and it works.

    Plugin Author askapache

    (@askapache)

    Humblest apologies. Other than deleting your whole site, this is the worst class of bug.

    Working on 4.8 now, its going to be a spectacular improvement 🙂

    Plugin Author askapache

    (@askapache)

    Getting closer to 4.8 – eta 1m

    Hi there!
    After activation I try to access plugin settings i get:
    Fatal error: Uncaught Error: Call to undefined function set_magic_quotes_runtime() in /home/****/www/****/wp-content/plugins/askapache-password-protect/askapache-password-protect.php(2847) : runtime-created function:3 Stack trace: #0 /home/****/www/****/wp-includes/class-wp-hook.php(286): __lambda_func('') #1 /home/****/www/****/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters('', Array) #2 /home/****/www/****/wp-includes/plugin.php(453): WP_Hook->do_action(Array) #3 /home/****/www/****/wp-admin/admin.php(214): do_action('load-settings_p...') #4 /home/****/www/****/wp-admin/options-general.php(10): require_once('/home/****/ww...') #5 {main} thrown in /home/****/www/****/wp-content/plugins/askapache-password-protect/askapache-password-protect.php(2847) : runtime-created function on line 3

    Any ideas?
    WP 4.9
    PHP 7

    • This reply was modified 2 years, 8 months ago by Roman Neverov.
Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Fatal error following up date to 4.7’ is closed to new replies.